<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />
  <meta http-equiv="cache-control" content="no-cache" />
  <meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT" />
  <meta http-equiv="pragma" content="no-cache" />
  <title>LiveConfig Invoices</title>
  <link rel="stylesheet" type="text/css" href="lc-api/lc-api.css"/>
  <script type="text/javascript" src="lc-api/lc-api.js"></script>
</head>
<body>

<?

  ini_set('display_errors', 'on');

  // disable WSDL caching for developing/testing/debugging
  ini_set("soap.wsdl_cache_enabled", "0");

  // load utility functions for IFRAME API
  require_once 'lc-api/lc-api.inc.php';

  // initialize API instance
  $LC = new LC(
            // full URL to the LiveConfig SOAP API:
            'https://liveconfig.example.org:8443/liveconfig/soap',
            'admin',          // LiveConfig user for SOAP API (usually 'admin')
            'SoAp-PaSsWoRd'   // SOAP API password
          );

  // check checksum
  if (! $LC->checkSession('LiNk-PaSsWoRd')) {
    die('<p class="error">Session check failed (' . htmlspecialchars($LC->getLastError()) . ')</p></body></html>');
  }


  if ($_REQUEST['lang'] == 'de') {
?>

  <div id="dIframeInfo">Diese Seite ist ein Beispiel für die <a href="http://www.liveconfig.com/de/handbuch/api.iframe.html" target="_blank">IFRAME-API</a> von LiveConfig - die hier angezeigten Inhalte kommen also von einer externen Seite und <i>nicht</i> von LiveConfig.</div>

  <p>Kundennummer: <strong><? print $LC->getCustomerId(); ?></strong></p>

<?
  } else {
?>

  <div id="dIframeInfo">This page is an example for the <!--a href="http://www.liveconfig.com/en/manual/api.iframe.html" target="_blank"-->IFRAME-API<!--/a--> of LiveConfig. So this content is <i>not</i> generated by LiveConfig, but loaded from an external source.</div>

  <p>Customer ID: <strong><? print $LC->getCustomerId(); ?></strong></p>

<?
  }
?>

  <!-- this is just example data... usually you want to load this from your own backend CRM/billing system... -->
  <table class="tabData">
    <tr>
      <th>Date</th>
      <th>ID</th>
      <th>Sum</th>
      <th>Document</th>
    </tr>
    <tr>
      <td>2012-07-09</td>
      <td>R1234498</td>
      <td class="num">12.99 €</td>
      <td><a href="#" onclick="return false;">R1234498.pdf</a></td>
    </tr>
    <tr>
      <td>2012-08-10</td>
      <td>R1234501</td>
      <td class="num">14.99 €</td>
      <td><a href="#" onclick="return false;">R1234501.pdf</a></td>
    </tr>
  </table>


</body>
</html>
